<mt-card
    position-identifier="blurElysium.slide.form.focusImage"
    :title="$tc('blurElysiumSlides.forms.slideFocusImage.label')" 
    :subtitle="$tc('blurElysiumSlides.forms.slideFocusImage.description')"
    :class="['content-no-padding']">

    <template #headerRight>

        <blur-device-switch 
            layout="row"
            show-label="false"
            :default-viewport="currentDevice"
            :style="{
                padding: '0',
                width: '100%',
                justifyContent: 'center',
                '--container-gap': '12px',
                '--icon-padding': '6px',
                '--icon-bg-color': '#ffffff',
                '--icon-hover-bg-color': 'var(--color-gray-100)',
            }" />
    </template>

    <blur-section>

        <blur-column
            padding
            :cols="12"
            :cols-desktop="8"
            :style="viewStyle({
                desktop: { borderRight: '1px solid var(--color-border-primary-default)' }
            })">

            <blur-elysium-media-upload 
                allowed-file="image/*"
                :uploadTag="'blur-elysium-slide-focus-image'" 
                :media="focusImageMedia" 
                :disabled="!(permissionCreate || permissionEdit)"
                @media-remove="payload => resetMedia( 'presentationMedia' )"
                @upload-finished="payload => setMedia( 'presentationMedia', payload.targetId )"
                @media-dropped="payload => setMedia( 'presentationMedia', payload.id, 'image')"
                @media-sidebar-open="mediaSidebar.openContent()" />
        </blur-column>

        <blur-column
            padding
            :cols="12"
            :cols-desktop="4">

            <blur-section
                gap-y>

                <blur-column>
                    <mt-switch 
                        class="blur-switch-input"
                        @change="viewportSettings.image.imageFullWidth = $event"
                        :checked="viewportSettings.image.imageFullWidth"
                        :label="$tc('blurElysiumSlides.forms.focusImage.fullWidth')" />
                </blur-column>

                <blur-column>
                    <blur-number-input 
                        :label="$tc('blurElysiumSlides.forms.slideWidth.label')"
                        :placeholder="viewportsPlaceholder('image.maxWidth', $t('blurElysium.general.noLimit'))"
                        :show-device="true"
                        :device="currentDevice"
                        @on-device="deviceSwitch"
                        :model-value="viewportSettings.image.maxWidth"
                        @update-value="value => viewportSettings.image.maxWidth = value" /> 
                </blur-column>

                <blur-column>
                    <blur-select-input 
                        :label="$tc('blurElysium.general.jusitifyContent')" 
                        :placeholder="viewportsPlaceholder('image.justifyContent', 'center', 'blurElysium.general')"
                        :options="[
                            { value: 'flex-start', label: $tc('blurElysium.general.jusitifyStart') },
                            { value: 'center', label: $tc('blurElysium.general.jusitifyCenter') },
                            { value: 'flex-end', label: $tc('blurElysium.general.jusitifyEnd') }
                        ]"
                        :device="currentDevice"
                        :show-device="true"
                        @on-device="deviceSwitch"
                        v-model:value="viewportSettings.image.justifyContent" />
                </blur-column>
            </blur-section>
        </blur-column>
    </blur-section>
</mt-card>